{
    "name" : "京西到家商家版",
    "appid" : "__UNI__F9A47D3",
    "description" : "1、商户通过京西平台同时管理美团、淘宝闪购、京东等多个外卖平台实现一键上架、下架、修改、删除多个平台商品；2、商户通过京西平台可以同时对、美团专送、达达、顺丰同城等多个专送平台召唤偶骑手",
    "versionName" : "1.0.0",
    "versionCode" : 100,
    "transformPx" : false,
    // "uni-app" : {
    //     "debug" : true
    // },
    /* 5+App特有相关 */
    "app-plus" : {
        "sdkConfigs" : {
            "HarmonyOS" : {}
        },
        "compatible" : {
            "ignoreVersion" : true
        },
        "usingComponents" : true,
        "nvueStyleCompiler" : "uni-app",
        "compilerVersion" : 3,
        "splashscreen" : {
            "alwaysShowBeforeRender" : true,
            "waiting" : true,
            "autoclose" : true,
            "delay" : 0
        },
        /* 模块配置 */
        "modules" : {
            "Bluetooth" : {},
            "Camera" : {},
            "iBeacon" : {},
            "Share" : {},
            "Maps" : {},
            "OAuth" : {},
            "Push" : {},
            "Barcode" : {}
        },
        /* 应用发布信息 */
        "distribute" : {
            /* android打包配置 */
            "android" : {
                "permissions" : [
                    "<uses-feature android:name=\"android.hardware.camera\"/>",
                    "<uses-feature android:name=\"android.hardware.camera.autofocus\"/>",
                    "<uses-permission android:name=\"android.permission.ACCESS_COARSE_LOCATION\"/>",
                    "<uses-permission android:name=\"android.permission.ACCESS_NETWORK_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.ACCESS_WIFI_STATE\" />",
                    "<uses-permission android:name=\"android.permission.CHANGE_WIFI_STATE\" />",
                    "<uses-permission android:name=\"android.permission.BIND_ACCESSIBILITY_SERVICE\"/>",
                    "<uses-permission android:name=\"android.permission.BLUETOOTH\"/>",
                    "<uses-permission android:name=\"android.permission.BLUETOOTH_ADMIN\"/>",
                    "<uses-permission android:name=\"android.permission.BROADCAST_STICKY\"/>",
                    "<uses-permission android:name=\"android.permission.CALL_PHONE\"/>",
                    "<uses-permission android:name=\"android.permission.CAMERA\"/>",
                    "<uses-permission android:name=\"android.permission.FLASHLIGHT\"/>",
                    "<uses-permission android:name=\"android.permission.INSTALL_PACKAGES\"/>",
                    "<uses-permission android:name=\"android.permission.INSTALL_SHORTCUT\"/>",
                    "<uses-permission android:name=\"android.permission.INTERNET\"/>",
                    "<uses-permission android:name=\"android.permission.MODIFY_AUDIO_SETTINGS\"/>",
                    "<uses-permission android:name=\"android.permission.MOUNT_UNMOUNT_FILESYSTEMS\"/>",
                    "<uses-permission android:name=\"android.permission.READ_LOGS\"/>",
                    "<uses-permission android:name=\"android.permission.READ_PHONE_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.RECEIVE_BOOT_COMPLETED\"/>",
                    "<uses-permission android:name=\"android.permission.SYSTEM_ALERT_WINDOW\"/>",
                    "<uses-permission android:name=\"android.permission.VIBRATE\"/>",
                    "<uses-permission android:name=\"android.permission.GET_TASKS \"/>",
                    "<uses-permission android:name=\"android.permission.QUERY_ALL_PACKAGES \"/>",
                    "<uses-permission android:name=\"android.permission.WAKE_LOCK\"/>",
                    "<uses-permission android:name=\"android.permission.WRITE_EXTERNAL_STORAGE\"/>",
                    "<uses-permission android:name=\"android.permission.WRITE_SETTINGS\"/>",
                    "<uses-permission android:name=\"android.permission.WRITE_SYNC_SETTINGS\"/>",
                    "<uses-permission android:name=\"android.permission.RECEIVE_USER_PRESENT\"/>",
                    "<uses-permission android:name=\"android.permission.BADGE_ICON\"/>"
                ],
                "abiFilters" : [ "armeabi-v7a", "arm64-v8a", "x86" ],
                "minSdkVersion" : 23,
                "targetSdkVersion" : 30
            },
            /* ios打包配置 */
            "ios" : {
                "dSYMs" : false,
                "privacyDescription" : {
                    "NSPhotoLibraryUsageDescription" : "读取相册图片二维码进行扫码识别",
                    "NSPhotoLibraryAddUsageDescription" : "保存门店海报图片",
                    "NSBluetoothPeripheralUsageDescription" : "获取蓝牙连接蓝牙打印机打印订单",
                    "NSBluetoothAlwaysUsageDescription" : "获取蓝牙连接蓝牙打印机打印订单",
                    "NSCameraUsageDescription" : "扫描商品二维码或者条形码识别商品"
                },
                "capabilities" : {
                    "entitlements" : {
                        "com.apple.developer.associated-domains" : [ "applinks:www.jxc4.com" ]
                    }
                },
                "UIBackgroundModes" : ""
            },
            /* SDK配置 */
            "sdkConfigs" : {
                "share" : {
                    "weixin" : {
                        "appid" : "wx18111a41fd17f24f",
                        "UniversalLinks" : "https://www.jxc4.com"
                    }
                },
                "ad" : {},
                "payment" : {},
                "geolocation" : {},
                "oauth" : {
                    "weixin" : {
                        "appid" : "wx18111a41fd17f24f",
                        "UniversalLinks" : "https://www.jxc4.com"
                    }
                },
                "push" : {
                    "unipush" : {
                        "icons" : {
                            "small" : {
                                "hdpi" : "D:/wtq/交接文档new (2)/交接文档new/商家版备份文件（无关）/push图标/36x36.png",
                                "ldpi" : "D:/wtq/交接文档new (2)/交接文档new/商家版备份文件（无关）/push图标/18x18.png",
                                "mdpi" : "D:/wtq/交接文档new (2)/交接文档new/商家版备份文件（无关）/push图标/24x24.png",
                                "xhdpi" : "D:/wtq/交接文档new (2)/交接文档new/商家版备份文件（无关）/push图标/48x48.png",
                                "xxhdpi" : "D:/wtq/交接文档new (2)/交接文档new/商家版备份文件（无关）/push图标/72.png"
                            }
                        }
                    }
                },
                "maps" : {
                    "amap" : {
                        "appkey_ios" : "2ca84776c658dffc3598151eb6a99836",
                        "appkey_android" : "71502439293566d209ec9754f8d50d76"
                    }
                }
            },
            "icons" : {
                "android" : {
                    "hdpi" : "unpackage/res/icons/72x72.png",
                    "xhdpi" : "unpackage/res/icons/96x96.png",
                    "xxhdpi" : "unpackage/res/icons/144x144.png",
                    "xxxhdpi" : "unpackage/res/icons/192x192.png"
                },
                "ios" : {
                    "appstore" : "unpackage/res/icons/1024x1024.png",
                    "ipad" : {
                        "app" : "unpackage/res/icons/76x76.png",
                        "app@2x" : "unpackage/res/icons/152x152.png",
                        "notification" : "unpackage/res/icons/20x20.png",
                        "notification@2x" : "unpackage/res/icons/40x40.png",
                        "proapp@2x" : "unpackage/res/icons/167x167.png",
                        "settings" : "unpackage/res/icons/29x29.png",
                        "settings@2x" : "unpackage/res/icons/58x58.png",
                        "spotlight" : "unpackage/res/icons/40x40.png",
                        "spotlight@2x" : "unpackage/res/icons/80x80.png"
                    },
                    "iphone" : {
                        "app@2x" : "unpackage/res/icons/120x120.png",
                        "app@3x" : "unpackage/res/icons/180x180.png",
                        "notification@2x" : "unpackage/res/icons/40x40.png",
                        "notification@3x" : "unpackage/res/icons/60x60.png",
                        "settings@2x" : "unpackage/res/icons/58x58.png",
                        "settings@3x" : "unpackage/res/icons/87x87.png",
                        "spotlight@2x" : "unpackage/res/icons/80x80.png",
                        "spotlight@3x" : "unpackage/res/icons/120x120.png"
                    }
                }
            },
            "splashscreen" : {
                "useOriginalMsgbox" : true,
                "androidStyle" : "default",
                "iosStyle" : "storyboard",
                "android" : {
                    "hdpi" : "D:/wtq/交接文档new (2)/交接文档new/交接文档new/京西菜市商家版/素材/Android启动图/480x762.png",
                    "xhdpi" : "D:/wtq/交接文档new (2)/交接文档new/交接文档new/京西菜市商家版/素材/Android启动图/720x1242.png",
                    "xxhdpi" : "D:/wtq/交接文档new (2)/交接文档new/交接文档new/京西菜市商家版/素材/Android启动图/1080x1882.png"
                },
                "ios" : {
                    "storyboard" : "D:/wtq/交接文档new (2)/交接文档new/交接文档new/京西菜市商家版/素材/ios启动图.zip"
                }
            }
        },
        "nativePlugins" : {
            "Ba-Notify" : {
                "__plugin_info__" : {
                    "name" : "应用消息通知插件（多种样式，新增支持常驻通知模式） Ba-Notify",
                    "description" : "Ba-Notify 是一款功能全面的uniapp消息通知插件，可在状态栏显示各种样式的消息通知。包含普通、常驻、大图、多行、进度、按钮等通知；支持检查、设置、清除通知；支持根据渠道和ID，分类管管理；",
                    "platforms" : "Android",
                    "url" : "https://ext.dcloud.net.cn/plugin?id=9231",
                    "android_package_name" : "jxcs.Android",
                    "ios_bundle_id" : "",
                    "isCloud" : true,
                    "bought" : 1,
                    "pid" : "9231",
                    "parameters" : {}
                }
            }
        }
    },
    /* 快应用特有相关 */
    "quickapp" : {},
    /* 小程序特有相关 */
    "mp-weixin" : {
        "appid" : "wx08a5c2a8581414ff",
        "setting" : {
            "urlCheck" : false,
            "minified" : true,
            "postcss" : true
        },
        "usingComponents" : true,
        "nvueCompiler" : "weex",
        "lazyCodeLoading" : "requiredComponents",
        "plugins" : {
            "chatGroupPlugin" : {
                "version" : "1.1.2",
                "provider" : "wxaae6519cee98d824"
            }
        }
    },
    "mp-alipay" : {
        "usingComponents" : true
    },
    "mp-baidu" : {
        "usingComponents" : true
    },
    "mp-toutiao" : {
        "usingComponents" : true
    },
    "uniStatistics" : {
        "enable" : false
    },
    "vueVersion" : "3",
    "fallbackLocale" : "zh-Hans",
    "locale" : "zh-Hans",
    "_spaceID" : "mp-6a99ccda-c7f6-4ef9-8870-35401c55287e",
    "h5" : {
        "unipush" : {
            "enable" : true
        }
    },
    "app-harmony" : {
        // "darkmode" : true,
        // "themeLocation" : "theme.json",
        "safearea" : {
            //iOS平台的安全区域
            "background" : "#ffffff",
            "backgroundDark" : "#2f0508", // HX 3.1.19+支持
            "bottom" : {
                "offset" : "none" // 在没有 tabBar 时，底部区域是否需要占位
            }
        },
        "distribute" : {
            "bundleName" : "com.jxc4.www",
            "signingConfigs" : {
                "default" : {
                    "certpath" : "c:\\Users\\Administrator\\AppData\\Roaming\\HBuilder X\\extensions\\launcher\\agc-certs\\1762930311911.cer",
                    "keyAlias" : "debugKey",
                    "keyPassword" : "0000001B517E5DDB61E6289FC51E44613191322C2F3A565A6D2B90C7F034595632C257E2D4E623ADBB49B3",
                    "profile" : "c:\\Users\\Administrator\\AppData\\Roaming\\HBuilder X\\extensions\\launcher\\agc-certs\\1762936050572.p7b",
                    "signAlg" : "SHA256withECDSA",
                    "storeFile" : "c:\\Users\\Administrator\\AppData\\Roaming\\HBuilder X\\extensions\\launcher\\agc-certs\\1762930311911.p12",
                    "storePassword" : "0000001B517E5DDB61E6289FC51E44613191322C2F3A565A6D2B90C7F034595632C257E2D4E623ADBB49B3"
                },
                "release" : {
                    "certpath" : "D:/wtq/交接文档new (2)/交接文档new/交接文档new/京西菜市商家版/鸿蒙/生产证书/jxc4Mer.cer",
                    "keyAlias" : "jxc4",
                    "keyPassword" : "0000001AF40E2E3015629EF3BCE0559344F1C486306B78F30BCCE3AC3CCE0AEC747895C9D5200B9B588F",
                    "profile" : "D:/wtq/交接文档new (2)/交接文档new/交接文档new/京西菜市商家版/鸿蒙/生产证书/jxc4MerRelease.p7b",
                    "signAlg" : "SHA256withECDSA",
                    "storeFile" : "D:/wtq/交接文档new (2)/交接文档new/交接文档new/京西菜市商家版/鸿蒙/生产证书/jxc4Manager.p12",
                    "storePassword" : "0000001AEFF155FAD9425A65420471AB6D5F4A056F5A4DC47DF5B052C0BB615DBC7CCDC73DC0895FB366"
                }
            },
            "icons" : {
                "foreground" : "D:/wtq/交接文档new (2)/交接文档new/交接文档new/京西菜市商家版/素材/hormony_foreground1024.png",
                "background" : "D:/wtq/交接文档new (2)/交接文档new/交接文档new/京西菜市商家版/素材/harmony_background1024.png"
            },
            "splashScreens" : {
                "startWindowIcon" : "D:/wtq/交接文档new (2)/交接文档new/交接文档new/京西菜市商家版/素材/hormony_foreground1024.png",
                "startWindowBackground" : ""
            },
            "modules" : {},
            "targetSdkVersion" : "6.0.0.868",
            "permissions" : [
                {
                    "name" : "ohos.permission.VIBRATE"
                }
            ]
        }
    }
}
// "projectPath":"C:\Users\Administrator\AppData\Local\OpenHarmony\Sdk"
/* ios打包配置 */

